NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_atexit(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_atexit - Queue a script to run when the server exits

## Table Of Contents

## Synopsis

- ns_atexit script ?arg?

## Description

This command queues a script to run when the server exiting. The script and optional arg are concatenated together and added to the list of at-exit callbacks. The scripts are executed in the global scope in LIFO (last in, first out) order.

## COMMANDS

ns_atexit script ?arg?

## See Also

ns_atclose, ns_atexit, ns_atshutdown, ns_atsignal

## Keywords

callback